## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:       git-remote-gcrypt
Version:    1.5
Release:    5%{?dist}
Summary:    GNU Privacy Guard-encrypted git remote

License:    GPLv3
URL:        https://git.spwhitton.name/%{name}
Source0:    https://git.spwhitton.name/%{name}/snapshot/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python3-docutils
Requires:   gnupg2 git-core

%description
This lets git store git repositories in encrypted form.
It supports storing repositories on rsync or sftp servers.
It can also store the encrypted git repository inside a remote git
repository. All the regular git commands like git push and git pull
can be used to operate on such an encrypted repository.

The aim is to provide confidential, authenticated git storage and
collaboration using typical untrusted file hosts or services.

%prep
%setup -q -n %{name}-%{version}

%build
:

%install
export DESTDIR="%{buildroot}"
export prefix="%{_prefix}"
./install.sh

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%license COPYING
%doc CHANGELOG CONTRIBUTING.rst README.rst

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 22 2022 Dusty Mabe <dusty@dustymabe.com> - 1.5-1
- Update to 1.5 release

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Dusty Mabe <dusty@dustymabe.com> - 1.4-2
- new sources for 1.4

* Tue Sep 14 2021 Dusty Mabe <dusty@dustymabe.com> - 1.4-1
- Update to 1.4 release

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-10
- First package build for Fedora

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-9
- rpm: drop group information

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-8
- rpm: add license/doc files

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-7
- rpm: correct man page entry in files section

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-6
- rpm: use %%{_bindir}

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-5
- rpm: debug_package not useful

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-4
- rpm: make the rpm noarch

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-3
- rpm: use full URL for source

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-2
- rpm: convert tabs to spaces

* Mon Sep 30 2019 Dusty Mabe <dusty@dustymabe.com> - 1.2-1
- Initial import of specfile from upstream
## END: Generated by rpmautospec
